## org.apache.poi.xssf.usermodel.helpers
Class XSSFRowShifter

    java.lang.Object
      org.apache.poi.xssf.usermodel.helpers.XSSFRowShifter

    public final class XSSFRowShifter

extends java.lang.Object

Author:
  Yegor Kozlov

Constructor Summary
`XSSFRowShifter(XSSFSheet sh)`

Method Summary
`java.util.List<CellRangeAddress>` `shiftMerged(int startRow, int endRow, int n)` Shift merged regions
`void` `updateConditionalFormatting(FormulaShifter shifter)`
`void` `updateFormulas(FormulaShifter shifter)` Update formulas.
`void` `updateNamedRanges(FormulaShifter shifter)` Updated named ranges

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFRowShifter

    public XSSFRowShifter(XSSFSheet sh)

Method Detail

### shiftMerged

    public java.util.List<CellRangeAddress> shiftMerged(int startRow,
                                                        int endRow,
                                                        int n)

  Shift merged regions

  Parameters:
    `startRow` - the row to start shifting
    `endRow` - the row to end shifting
    `n` - the number of rows to shift
  Returns:
    an array of affected cell regions

### updateNamedRanges

    public void updateNamedRanges(FormulaShifter shifter)

  Updated named ranges

### updateFormulas

    public void updateFormulas(FormulaShifter shifter)

  Update formulas.

### updateConditionalFormatting

    public void updateConditionalFormatting(FormulaShifter shifter)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.